<div class="form-setup-header">
  <form nz-form [formGroup]="formSearchEmployee">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col nzXs="6" nzLg="6" *ngIf="isEmpCodeAndEmpName" class="emp">
        <employee-data-picker [mbCanText]="true" mbLabelText="{{'targerManager.employTargetList.label.employeeCode' | translate}}"
                                             [ngModelOptions]="{standalone: true}" [multiple]="true" [isHideFullName]="false" [functionCode]="functionCode"
                                             (selectedChange)="onChange($event)" ngModel="">
        </employee-data-picker>
      </div>
      <!--        isOrgId-->
      <div nz-col nzXs="6" nzLg="6" *ngIf='isOrgId'>
        <div class="block-center">
          <div class="form-group">
            <label class="input__label" [innerHTML]="'Đơn vị'"></label>
            <nz-input-group [nzSuffix]="suffixIconSearch" class="input">
              <input type="text" nz-input formControlName="orgId" placeholder="Chọn thông tin" (click)="showModalUnit($event, value)" readonly />
            </nz-input-group>
            <ng-template #suffixIconSearch>
              <mb-button (click)="clearDataOrgId()" mbButtonType="ONLY_ICON" mbButtonIconType="ZORRO"
                mbPrefixIcon="close"></mb-button>
            </ng-template>
          </div>
<!--          <div class="btn a-s-center">-->
<!--            <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="showModalUnit($event, value)"-->
<!--              mbButtonAvailableStyle="PRIMARY" mbPrefixIcon="search"></mb-button>-->
<!--          </div>-->
        </div>
      </div>
      <!-- isDataId-->
      <div nz-col nzXs="6" nzLg="6" *ngIf="isDataId">
          <mb-select formControlName="dataId" [mbDataSelects]="listOrg"
                     mbPlaceholder="{{'targerManager.employTargetList.label.orgName' | translate}}"
                     mbLabelText="{{'targerManager.employTargetList.label.orgName' | translate}}" mbKeyLabel="name"
                     mbKeyValue="dataId">
          </mb-select>
      </div>
      <!--IN/OUT Allocation-->
      <div nz-col nzXs="6" nzLg="6" *ngIf="isIOAllocation">
        <mb-select formControlName="apportion" [mbDataSelects]="listAllocation" [mbShowSearch]="false"
                   mbPlaceholder="{{'targerManager.employTargetList.label.IOAllocation' | translate}}"
                   mbLabelText="{{'targerManager.employTargetList.label.IOAllocation' | translate}}" mbKeyLabel="name"
                   mbKeyValue="value">
        </mb-select>
      </div>
      <!--Classification-->
      <div nz-col nzXs="6" nzLg="6" *ngIf="isClassification">
        <mb-select formControlName="claCode" [mbDataSelects]="listClassification" [mbShowSearch]="false"
                   mbPlaceholder="{{'targerManager.employTargetList.label.isClassification' | translate}}"
                   mbLabelText="{{'targerManager.employTargetList.label.isClassification' | translate}}" mbKeyLabel="cldName"
                   mbKeyValue="claCode">
        </mb-select>
      </div>
      <!--Propose-->
      <div nz-col nzXs="6" nzLg="6" *ngIf="isPropose">
        <mb-select formControlName="isPropose" [mbDataSelects]="listPropose" [mbShowSearch]="false"
                   mbPlaceholder="{{'targerManager.employTargetList.label.isPropose' | translate}}"
                   mbLabelText="{{'targerManager.employTargetList.label.isPropose' | translate}}" mbKeyLabel="name"
                   mbKeyValue="value">
        </mb-select>
      </div>
      <!-- job -->
      <div nz-col nzXs="6" nzLg="6" *ngIf='isJob'>
        <mb-drop-dow-list-lazy-search
          [params]='paramSetUpJob'
          (mbEventSelectItem)='selectDataJobId($event)'
          [accessDataSelect]="{name: 'jobName', id: 'jobId', dataRes: 'content'}"
          [urlService]='urlGetListJobTypeORG'
          [labelText]="'Job'"
        ></mb-drop-dow-list-lazy-search>
      </div>
      <div nz-col nzXs="6" nzLg="6" *ngIf='isPosition'>
          <mb-drop-dow-list-lazy-search
            #formPositionComp
            [params]='paramSetupPosition'
            (mbEventSelectItem)='selectPositionId($event)'
            [accessDataSelect]="{name: 'posName', id: 'posId', dataRes: 'data'}"
            [urlService]='urlPositionService'
            [labelText]="'Position'"
          ></mb-drop-dow-list-lazy-search>
      </div>
      <!-- name -->
      <div nz-col nzXs="6" nzLg="6" *ngIf="fullName">
        <mb-input-text formControlName="fullName"
          mbLabelText="{{'targerManager.employTargetList.label.fullname' | translate}}"
          (mbKeyup)="enterSearch($event)">
        </mb-input-text>
      </div>
      <!-- ma nhan vien -->
      <div nz-col nzXs="6" nzLg="6" *ngIf="empCode">
        <mb-select formControlName="empCode" [mbDataSelects]="mbDataSelectsCodeEmploy" [mbShowSearch]="false"
          mbPlaceholder="{{'targerManager.employTargetList.label.codeEmploy' | translate}}"
          mbLabelText="{{'targerManager.employTargetList.label.codeEmploy' | translate}}" mbKeyLabel="empInfo"
          mbKeyValue="empCode">
        </mb-select>
      </div>
      <!-- year -->
      <div nz-col nzXs="6" nzLg="6" *ngIf="isYear">
        <mb-date-picker [mbMode]="'year'" [mbType]="'default'" [mbFormat]="'yyyy'"
                        mbPlaceholderText="{{'targerManager.common.label.periodYear' | translate}}"
                        mbLabelText="{{'targerManager.common.label.periodYear' | translate}}" formControlName="periodYear"
                        (ngModelChange)="onChangeSelectYeah($event)"></mb-date-picker>
      </div>
      <!-- assessment Time -->
      <div nz-col nzXs="6" nzLg="6" *ngIf="IsAssessmentTime">
        <mb-select formControlName="periodId" [mbDataSelects]="listDataAssessmentPeriod" [mbShowSearch]="false"
          mbPlaceholder="{{'targerManager.setupAssessment.assessmentPeriod' | translate}}"
          mbLabelText="{{'targerManager.setupAssessment.assessmentPeriod' | translate}}" mbKeyLabel="periodName"
          mbKeyValue="periodId" (mbSelect)="onChangeSelectPeriod($event)">
        </mb-select>
      </div>
      <!-- status -->
      <div nz-col nzXs="6" nzLg="6" *ngIf="isStatus">
        <mb-select formControlName="flagStatus" [mbDataSelects]="listStatus" [mbShowSearch]="false"
          mbPlaceholder="{{'targerManager.employTargetList.label.status' | translate}}"
          mbLabelText="{{'targerManager.employTargetList.label.status' | translate}}" mbKeyLabel="label"
          mbKeyValue="value"
        >
        </mb-select>
      </div>

        <div nz-col nzXs="6" nzLg="6" *ngIf="isStatusEmployee">
            <mb-input-text formControlName="fullName"
                           mbLabelText="{{'targerManager.employTargetList.label.status' | translate}}" mbKeyLabel="label"
                           [mbDisable]='true'
                           [mbPlaceholderText]='isStatusEmployeeText'
            >
            </mb-input-text>
        </div>
      <div nz-col nzXs="6" nzLg="6" *ngIf="isMultipleStatus">
        <mb-select-check-able [mbDataSelects]="listStatus" mbKeyLabel="label" mbKeyValue="value"
                              mbLabelText="{{'targerManager.employTargetList.label.status' | translate}}"
                              mbPlaceholder="{{'targerManager.employTargetList.label.status' | translate}}" mbType="default"
                              [mbShowAction]="false" formControlName="multipleStatus">

        </mb-select-check-able>
      </div>
    </div>
  </form>
  <div class="search_header">
    <mb-button mbButtonAvailableStyle="CUSTOM"
      mbButtonText="{{'common.label.search' | translate}}" (click)="search($event)"></mb-button>
    <mb-button
      *ngIf="isExport"
      mbButtonType="BORDER"
      mbButtonSize="VERY_LARGE"
      (click)="exportExcel()"
    >
      <img src="../../../../../assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</div>
